Bug 511299 - Macaulay2 should build with compat-readline5-devel
Macaulay2 should build with compat-readline5-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Macaulay2 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Mark Chappell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 511295
  Show dependency treegraph
 
Reported: 2009-07-14 12:19 EDT by Miroslav Lichvar
Modified: 2010-04-09 00:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4ti2-1.3.2-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 22:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (846 bytes, patch)
2009-07-14 12:19 EDT, Miroslav Lichvar
no flags Details | Diff

  None (edit)
Description Miroslav Lichvar 2009-07-14 12:19:05 EDT
Created attachment 351622 [details]
suggested patch

Description of problem:
The readline package in rawhide will be soon updated to new 6.0 release which changes the license to GPLv3+. As Macaulay2 is GPLv2, it should be built with the older readline (packaged in compat-readline5) to avoid licensing incompatibility or switched to libedit which is compatible with GPLv3, but doesn't support UTF-8.

Suggested patch in attachment.
Comment 1 Bug Zapper 2009-11-16 05:50:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rex Dieter 2010-03-10 10:55:35 EST
Kudos to Mark for picking up on this.  

(I seemed to have missed seeing this for awhile and forgot about it)
Comment 3 Fedora Update System 2010-03-10 11:13:03 EST
Macaulay2-1.3.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/Macaulay2-1.3.1-3.fc12
Comment 4 Fedora Update System 2010-03-10 11:15:07 EST
Macaulay2-1.3.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/Macaulay2-1.3.1-3.fc13
Comment 5 Fedora Update System 2010-03-10 13:31:41 EST
4ti2-1.3.2-5.fc13,normaliz-2.2-3.fc13,Macaulay2-1.3.1-4.fc13,mpir-1.3.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/4ti2-1.3.2-5.fc13,normaliz-2.2-3.fc13,Macaulay2-1.3.1-4.fc13,mpir-1.3.1-3.fc13
Comment 6 Fedora Update System 2010-03-11 08:29:52 EST
4ti2-1.3.2-5.fc13, normaliz-2.2-3.fc13, Macaulay2-1.3.1-4.fc13, mpir-1.3.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update 4ti2 normaliz Macaulay2 mpir'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/4ti2-1.3.2-5.fc13,normaliz-2.2-3.fc13,Macaulay2-1.3.1-4.fc13,mpir-1.3.1-3.fc13
Comment 7 Fedora Update System 2010-03-11 23:19:15 EST
Macaulay2-1.3.1-3.fc12, 4ti2-1.3.2-5.fc12, normaliz-2.2-3.fc12, mpir-1.3.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Macaulay2 4ti2 normaliz mpir'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/4ti2-1.3.2-5.fc12,normaliz-2.2-3.fc12,mpir-1.3.1-3.fc12,Macaulay2-1.3.1-3.fc12
Comment 8 Bug Zapper 2010-03-15 08:42:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora Update System 2010-03-29 22:20:38 EDT
Macaulay2-1.3.1-3.fc12, 4ti2-1.3.2-5.fc12, normaliz-2.2-3.fc12, mpir-1.3.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-04-09 00:29:04 EDT
4ti2-1.3.2-5.fc13, normaliz-2.2-3.fc13, Macaulay2-1.3.1-4.fc13, mpir-1.3.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.